<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<title>SUPERMERCADOS WINDSMART - MODIFICAR</title>
<meta name="viewport" content="width=device-width, initial-scale=1" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<script type="application/x-javascript">			
	addEventListener("load",function(){
		setTimeout(hideURLbar, 0); 
	}, false); 
	function hideURLbar(){ 
		window.scrollTo(0, 1); 
	}
</script>
<!-- Bootstrap Core CSS -->
<link href="#" th:href="@{/css/bootstrap.min.css}" rel='stylesheet'
	type='text/css' />
<!-- Custom CSS -->
<link href="#" th:href="@{/css/style.css}" rel='stylesheet'
	type='text/css' />
<!-- Graph CSS -->
<link href="#" th:href="@{/css/font-awesome.css}" rel="stylesheet"
	type="text/css" />
<!-- lined-icons -->
<link href="#" th:href="@{/css/icon-font.min.css}" rel="stylesheet"
	type="text/css" />
<script src="#" th:src="@{/js/amcharts.js}"></script>
<script src="#" th:src="@{/js/serial.js}"></script>
<script src="#" th:src="@{/js/light.js}"></script>
<!-- //lined-icons -->
<script src="#" th:src="@{/js/jquery-1.10.2.min.js}"></script>
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<!-- Bootstrap Date-Picker Plugin -->
<script type="text/javascript"
	src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.4.1/js/bootstrap-datepicker.min.js"></script>
<link rel="stylesheet"
	href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.4.1/css/bootstrap-datepicker3.css" />
<script>
	$(document).ready(
			function() {
				var date_input = $('input[name="birthdate"]');
				var container = $('.bootstrap-iso form').length > 0 ? $(
						'.bootstrap-iso form').parent() : "body";
				var options = {
					format : 'dd/mm/yyyy',
					container : container,
					todayHighlight : true,
					autoclose : true,
				};
				date_input.datepicker(options);
			})
</script>
<script>
	$(document).ready(
			function() {
				var date_input = $('input[name="hiredate"]');
				var container = $('.bootstrap-iso form').length > 0 ? $(
						'.bootstrap-iso form').parent() : "body";
				var options = {
					format : 'dd/mm/yyyy',
					container : container,
					todayHighlight : true,
					autoclose : true,
				};
				date_input.datepicker(options);
			})
</script>
<script>
	function justNumbers(e) {
		var keynum = window.event ? window.event.keyCode : e.which;
		if (keynum == 8)
			return true;
		return /\d/.test(String.fromCharCode(keynum));
	}
</script>
<script>
	function justDates(e) {
		var key = window.event ? window.event.keyCode : e.which;
		if (key == 8) {
			return true;
		}
		return false;
	}
</script>
</head>
<body>
	<div class="page-container">
		<div class="left-content">
			<div class="inner-content">
				<div class="header-section">
					<div class="top_bg">
						<div class="header_top">
							<div class="top_right">
								<ul>
									<li><a href="#" th:href="@{/users/listusers}">Inicio</a></li>
									<li><a href="#" th:href="@{/login?logout}">Cerrar Sesión</a></li>
								</ul>
							</div>
						</div>
						<div class="clearfix"></div>
					</div>
					<div class="clearfix"></div>
				</div>
				<div class="header_bg">
					<div class="header">
						<div class="head-t">
							<div class="logo">
								<img src="#" th:src="@{/images/logo.png}" class="img-responsive"
									alt="" style="width: 60%;" />
							</div>
							<div class="clearfix"></div>
						</div>
					</div>
				</div>
				<div class="content">
					<div class="monthly-grid">
						<div class="panel panel-widget">
							<div class="panel-title">MODIFICAR EMPLEADO</div>
							<div class="panel-body">
								<div class="registration_form">
									<form action="#"
										th:action="@{/users/updateuser/{id}(id=${userModel.iduser})}"
										th:object="${userModel}" method="post">


										<div class="col-md-6"
											style="padding-right: 4px; padding-left: 4px;">
											<label>Nombre:</label> <input type="text" tabindex="1"
												th:field="*{firstname}" />
										</div>

										<div class="col-md-6"
											style="padding-right: 4px; padding-left: 4px;">
											<label>Apellidos:</label> <input type="text" tabindex="2"
												th:field="*{lastname}" />
										</div>

										<div class="col-md-6"
											style="padding-right: 4px; padding-left: 4px;">
											<label>DNI:</label> <input type="text" tabindex="3"
												th:field="*{dni}" onkeypress="return justNumbers(event);"
												size="8" />
										</div>

										<div class="col-md-6"
											style="padding-right: 4px; padding-left: 4px;">
											<label>Fecha de Nacimiento:</label> <input type="text"
												tabindex="4" th:field="*{birthdate}"
												onkeypress="return justDates(event);" />
										</div>

										<div class="col-md-6"
											style="padding-right: 4px; padding-left: 4px;">
											<label>E-mail:</label> <input type="email" tabindex="5"
												th:field="*{email}" />
										</div>

										<div class="col-md-6"
											style="padding-right: 4px; padding-left: 4px;">
											<label>Teléfono:</label> <input type="text" tabindex="6"
												th:field="*{phonenumber}"
												onkeypress="return justNumbers(event);" />
										</div>

										<div style="padding-right: 4px; padding-left: 4px;">
											<label>Dirección:</label> <input type="text" tabindex="7"
												th:field="*{address}" />
										</div>

										<div class="col-md-6 col-md-6 col-md-6"
											style="padding-right: 4px; padding-left: 4px;">
											<label>Género:</label> <select class="form-control"
												tabindex="8" th:field="*{gender}">
												<option value="M">Masculino</option>
												<option value="F">Femenino</option>
											</select>
										</div>

										<div class="col-md-6"
											style="padding-right: 4px; padding-left: 4px;">
											<label>Cargo:</label> <select class="form-control"
												tabindex="9" th:field="*{idjobposition}">
												<option th:each="jobposition : ${jobpositions}"
													th:value="${jobposition.idjobposition}"
													th:text="${jobposition.name}"></option>
											</select>
										</div>

										<div class="col-md-6"
											style="padding-right: 4px; padding-left: 4px;">
											<label>Acceso:</label> <select class="form-control"
												tabindex="10" th:field="*{isadmin}">
												<option value="1">Permitido</option>
												<option value="0">Restringido</option>
											</select>
										</div>

										<div class="col-md-6"
											style="padding-right: 4px; padding-left: 4px;">
											<label>Turno:</label> <select class="form-control"
												tabindex="11" th:field="*{idschedule}">
												<option th:each="schedule : ${schedules}"
													th:value="${schedule.idschedule}"
													th:text="${schedule.starttime + ' -- ' + schedule.finaltime}"></option>
											</select>
										</div>

										<div class="col-md-6"
											style="padding-right: 4px; padding-left: 4px;">
											<label>Fecha de Contratación:</label> <input type="text"
												tabindex="12" th:field="*{hiredate}"
												onkeypress="return justDates(event);" />
										</div>

										<div class="col-md-6"
											style="padding-right: 4px; padding-left: 4px;">
											<label>Estado:</label> <select class="form-control"
												tabindex="10" th:field="*{isactive}">
												<option value="1">Activo</option>
												<option value="0">Inactivo</option>
											</select>
										</div>

										<div class="clearfix"></div>

										<input type="submit" value="Modificar" /> <a href="#"
											th:href="@{/users/listusers}">Cancelar</a>
									</form>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="footer">
					<div class="col-md-3 cust">
						<div class="our-left">
							<h4>CONSULTORA</h4>
						</div>
						<label> <i class="add"></i> Axis
						</label> <label> <i class="phone"></i> 123-456-789
						</label> <label> <i class="mail"></i> gcm@axis.com
						</label>
					</div>
					<div class="clearfix"></div>
					<p>© 2017 Windsmart. Derechos Reservados | Diseñado por Consultora
						AXIS</p>
				</div>
			</div>
		</div>
		<div class="sidebar-menu">
			<header class="logo1">
				<a class="sidebar-icon"> <span class="fa fa-bars"></span>
				</a>
			</header>
			<div style="border-top: 1px ridge rgba(255, 255, 255, 0.15)"></div>
			<div class="menu">
				<ul id="menu">
					<li id="menu-academico"><a href="#"
						th:href="@{/users/userform}"> <i class="fa fa-file-text-o"></i>
							<span>Registrar</span>
					</a></li>
					<li id="menu-academico"><a> <i class="lnr lnr-pencil"></i> 
						<span>Modificar</span>
					</a></li>
					<li id="menu-academico"><a href="#"
						th:href="@{/users/listusers}"> <i class="lnr lnr-book"></i> 
						<span>Listar</span>
					</a></li>
					<li id="menu-academico"><a> <i class="lnr lnr-chart-bars"></i> 
						<span>Reportes</span>
					</a></li>
				</ul>
			</div>
		</div>
		<div class="clearfix"></div>
	</div>
	<script>
		var toggle = true;
		$(".sidebar-icon").click(
				function() {
					if (toggle) {
						$(".page-container").addClass("sidebar-collapsed")
								.removeClass("sidebar-collapsed-back");
						$("#menu span").css({
							"position" : "absolute"
						});
					} else {
						$(".page-container").removeClass("sidebar-collapsed")
								.addClass("sidebar-collapsed-back");
						setTimeout(function() {
							$("#menu span").css({
								"position" : "relative"
							});
						}, 400);
					}

					toggle = !toggle;
				});
	</script>
	<script src="#" th:src="@{/js/jquery.nicescroll.js}"></script>
	<script src="#" th:src="@{/js/scripts.js}"></script>
	<script src="#" th:src="@{/js/bootstrap.min.js}"></script>
	<script src="#" th:src="@{/js/jquery.flot.js}" type="text/javascript"></script>
	<script src="#" th:src="@{/js/menu_jquery.js}"></script>
</body>
</html>